Create an Invoice

Creates a new invoice for a customer with line items, tax, and payment terms.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Supported Apps


AppApp IDRemarks
XeroxeroAtleast one lineItem is required , status is optinal but can be one of [DRAFT, SUBMITTED, AUTHORISED]
ZohobookszohobookBy default Item level discount will be applied. Discounts are not supported for BILL type. currency expects currencyId as input, which can be obtained using List Currencies..
Microsoft Dynamics 365microsoft-dynamics-365
Sage IntacctsageIntacct
QuickbooksquickbooksSupported Request Fields:
  • type - Required
  • contactId - Required
  • lineItems - Required
  • lineItems.taxRateId
  • lineItems.isTaxable
  • lineItems.amount
  • lineItems.description
  • lineItems.itemName
  • lineItems.itemId
  • lineItems.quantity
  • lineItems.unitRate
  • lineItems.accountId
  • lineItems.metaData
  • totalDiscount
  • currency
  • exchangeRate
  • invoiceNumber
  • dueDate
  • issueDate
  • description
  • taxRateId
  • metaData
  • metaData.shipFrom.addressLine1
  • metaData.shipFrom.addressLine2
  • metaData.shipFrom.city
  • metaData.shipFrom.state
  • metaData.shipFrom.country
  • metaData.shipFrom.zipCode
Supported Response Fields:
  • invoiceId
Note:
  • US location accounts do not support lineItems.taxRateId field, and non-US location accounts do not support taxRateId or lineItems.isTaxable fields.
  • In non-US location accounts, lineItems.taxRateId is required fields.
NetsuitenetsuiteSupported Request Fields:
  • type - Required
  • contactId - Required
  • lineItems - Required
  • lineItems.type
  • lineItems.itemId
  • lineItems.description
  • lineItems.quantity
  • lineItems.unitRate
  • lineItems.amount
  • lineItems.accountId
  • lineItems.taxRateId
  • lineItems.taxRate
  • lineItems.metaData
  • lineItems.metaData.taxType
  • lineItems.metaData.locationId
  • invoiceNumber
  • issueDate
  • dueDate
  • currency
  • exchangeRate
  • description
  • metaData
Supported Response Fields:
  • invoiceId
Note:
  • lineItems.metaData.taxType and lineItems.taxRate are required if lineItems.taxRateId is given.
  • To get the rate associated with a taxRateId for lineItems.taxRate , you need to look for it in UI. In dashboard nevigate through Setup>Tax>Tax Codes, in the list you can open the tax Code in view mode and locate Tax Rate.
  • locationId key needs to be passed in metaData at item level for non expense items.Use passthrough Request to get locations.
FreshbooksfreshbooksFor every lineItem you must need to pass it's taxName and trackingCategoryId in metaData with list of object and order should be in order of line item like this - categoryAndTaxes":[{"taxName":"GEN","categoryId":"12775579"}].
Sage 200 Standardsage200contactId, type, invoiceNumber, dueDate, paidOnDate, exchangeRate, totalAmount, totalTax, totalDiscount, lineItems[].accountId, lineItems[].amount, lineItems[].description are honored fields.Note: lineItems[].accountId expects info.accountNumber field that you obtained for a account with category LEDGER_ACCOUNT via Knit's API or sync.
lineItems is optional, you can give empty [] as input if you don't want to pass actual line items.
Wave FinancialwaveOnly type INVOICE is supported by the app. itemId and quantity are required fields for each line item.
Odoo Accounting OnlineodoototalAmount, totalTax, totalDiscount are not honored. these values are calculated based on lineItems in odoo. itemId, quantity, unitRate, discountRate, accountId are honored fields in lineItems. the status is by default draft when an invoice is created, use Update Invoice to change it to posted. currency, expects a currencyId as input, currencyIds can be obtained using List Currencies.
Body Params
string
enum
required
Allowed:
string
required
lineItems
array of objects
required

At least one line item is required for creating invoice.

lineItems*
string

Status values can vary depending upon apps . It could be DRAFT, VOID, SUBMITTED, PAID etc.

string
date-time

It should be in format yyyy-mm-dd'T'hh:mm:ssZ

date-time

It should be in format yyyy-mm-dd'T'hh:mm:ssZ

date-time

It should be in format yyyy-mm-dd'T'hh:mm:ssZ

string

Standard currency codes like USD, INR etc

string
string
double
double
double
string
string

JSON-formatted string containing set of key-value attributes to provide additional data

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json